<?php

use \GatewayWorker\Lib\Gateway;

class admincontrol extends base {
	
	function __construct() {
		parent::__construct();
		
		$this->view->assign('m', 'admin');
	}
	
	function onindex(){
		$this->isAdmin();
		
		$data = array();
		$total = $pages = 0;
		$temp = Gateway::getAllClientSessions();
		foreach($temp as $k => $v){
			if($v['id']){
				$v['client_id'] = $k;
				$data[$v['id']] = $v;
			}
		}
		
		$perpage = 10;
		$page = isset($this->input['page']) ? intval($this->input['page']) : 1;
		if($page < 1) $page = 1;
		
		if($data){
			$total = count($data);
			$data = page_array($perpage, $page, $data, 1, 'id', 'DESC');
			$pages = ceil($total / $perpage);
		}
		
		$this->view->assign('total', $total);
		$this->view->assign('pages', $pages);
		$this->view->assign('page', $page);
		$this->view->assign('list', $data);
		$this->view->assign('a', 'index');
		$this->view->display('index');
	}
	
	function onhistory(){
		$this->isAdmin();
		
		$type = isset($this->input['type']) ? intval($this->input['type']) : 1;
		$exp = isset($this->input['exp']) ? trim($this->input['exp']) : '';
		$receive = isset($this->input['receive']) ? $this->input['receive'] : '';
		$page = isset($this->input['page']) ? intval($this->input['page']) : 1;
		
		$perpage = 10;
		if($page < 1) $page = 1;
		$start = ($page - 1) * $perpage;
		
		if ($start > 0 && $perpage > 0) {
			$limit = " LIMIT $start, $perpage";
		}elseif ($perpage) {
			$limit =  " LIMIT $perpage";
		}elseif ($start) {
			$limit =  " LIMIT $start";
		}else{
			$limit = '';
		}
		$where = '';
		if($exp){
			if($type == 1){
				$exp = intval($exp);
				$orwhere = $receive ? " OR fuid = $exp " : '';
				$where = " WHERE type = 'friend' AND uid = $exp $orwhere";
			}elseif($type == 2){
				$orwhere = $receive ? " OR fusername LIKE '%$exp%' " : '';
				$where = " WHERE type = 'friend' AND (username LIKE '%$exp%' $orwhere) ";
			}elseif($type == 3){
				$where = " WHERE type = 'group' AND fuid = $exp ";
			}
		}
		$total = $this->db->single("SELECT COUNT(*) FROM ".TABLE_PRE."heart_im_msg $where");
		$data = $this->db->query("SELECT * FROM ".TABLE_PRE."heart_im_msg $where ORDER BY time DESC $limit");
		$pages = ceil($total / $perpage);
		
		$this->view->assign('list', $data);
		$this->view->assign('total', $total);
		$this->view->assign('pages', $pages);
		$this->view->assign('page', $page);
		$this->view->assign('type', $type);
		$this->view->assign('exp', $exp);
		$this->view->assign('receive', $receive);
		$this->view->assign('a', 'history');
		$this->view->display('history');
	}
}