<?php

use \GatewayWorker\Lib\Gateway;
use Workerman\Protocols\Http;

class asynccontrol extends base {
	
	function __construct() {
		parent::__construct();
	}
	
	function onlogin(){
		$ret = array();
		$username = $this->input['username'];
		$password = $this->input['password'];
		
		if($username && $password && $username == ADMIN_USER && $password == ADMIN_PASS){
			Http::setcookie(ADMIN_COOKIES_NAME, $username, ADMIN_COOKIES_TIME);
			$ret['code'] = 1;
			$ret['msg'] = '登录成功';
		}else{
			$ret['code'] = 0;
			$ret['msg'] = '账户或密码错误';
		}
		echo json_encode($ret);
	}
	
	function onlogout(){
		Http::setcookie(ADMIN_COOKIES_NAME, '');
		header('location: admin.php');
	}
	
	function onsendnotice(){
		$this->isAdmin();
		
		$ret = array();
		$ret['code'] = 0;
		$ret['msg'] = '发送失败';
		
		if($this->isAjaxSubmit()){
			$content = isset($this->input['content']) ? trim($this->input['content']) : '';
			if($content){
				$uid = 0;
				$type = 'notice';
				$username = '系统消息';
				
				$msgid = $this->db->query("INSERT INTO ".TABLE_PRE."heart_im_msg (type,uid,username,fuid,fusername,domain,msg,time,status) VALUES ('$type',0,'$username',0,'全体用户','管理后台','$content',$this->time,1)");
				
				$chat_message = array(
					'message_type' => $type,
					'sendid' => 0,
					'type' => 1,
					'data' => array(
						'msgid' => (int)$msgid,
						'userid' => $uid,
						'username' => $username,
						'avatar' => '',
						'id' => 0,
						'type' => $type,
						'content' => nl2br($content),
						'timestamp'=> $this->time * 1000,
					)
				);
				
				Gateway::sendToAll(json_encode($chat_message));
				$ret['code'] = 1;
				$ret['msg'] = '发送成功';
			}
		}
		echo json_encode($ret);
	}
}