<?php

use \GatewayWorker\Lib\Gateway;
use \GatewayWorker\Lib\Db;
use \Workerman\Autoloader;

require_once __DIR__ . '/../../../Workerman/Autoloader.php';
Autoloader::setRootPath(__DIR__ . '/../');

require_once __DIR__ . '/func.php';

$allow = true;
if(WHITE_LIST_IP)
{
	$white_list = explode(',', WHITE_LIST_IP);
	if(!in_array($_SERVER['REMOTE_ADDR'], $white_list)){
		$allow = false;
	}
}
if($allow)
{
	$m = getgpc('m');
	$a = getgpc('a');
	if($m && $a){
		if(in_array($m, array('im'))) {
			global $db;
			$db = Db::instance('heart_im');
			
			require_once API_ROOT.'control/base.php';
			require_once API_ROOT."control/$m.php";
			
			$classname = $m.'control';
			$control = new $classname();
			$method = 'on'.$a;
			if(method_exists($control, $method) && $a{0} != '_') {
				$data = $control->$method();
				echo json_encode($data);
			} elseif(method_exists($control, '_call')) {
				$data = $control->_call('on'.$a, '');
				echo json_encode($data);
			} else {
				echo 'Action not found';
			}
		}
		else
		{
			echo 'Module not found';
		}
	}
	else
	{
		echo 'Request error';
	}
}
else
{
	echo 'Access Denied';
}