<?php include $this->gettpl('header');?>
	<div class="layui-body">
		<form class="layui-form" action="admin.php?m=<?php echo $m;?>&a=<?php echo $a;?>" method="POST">
			<div class="layui-form-item">
				<div class="layui-input-inline">
					<select name="type">
						<option value="1" <?php if($type == 1) { ?>selected<?php } ?>>用户ID</option>
						<option value="2" <?php if($type == 2) { ?>selected<?php } ?>>用户账户</option>
						<option value="3" <?php if($type == 3) { ?>selected<?php } ?>>群组ID</option>
					</select>
				</div>
				<div class="layui-input-inline">
					<input type="text" name="exp" value="<?php echo $exp;?>" lay-verify="required" autocomplete="off" placeholder="搜索: UID / 账户 / 群ID" class="layui-input">
				</div>
				<div class="layui-input-inline">
					 <input type="checkbox" name="receive" title="接收" <?php if($receive) { ?>checked<?php } ?>>
				</div>
				<div class="layui-input-inline">
					<button class="layui-btn" lay-submit="" lay-filter="search">搜索</button>
				</div>
			</div>
		</form>
		<table class="layui-table">
			<thead>
				<tr>
					<th>来自网站</th>
					<th>用户账户</th>
					<th>用户ID</th>
					<th>发送对象</th>
					<th>对象ID</th>
					<th>发送内容</th>
					<th>发送时间</th>
					<th>接收状态</th>
				</tr>
			</thead>
			<tbody>
				<?php foreach((array)$list as $k => $v) {?>
				<tr>
					<td><a href="//<?php echo $v['domain'];?>" target="_blank"><?php echo $v['domain'];?></a></td>
					<td><?php echo $v['username'];?></td>
					<td><?php echo $v['uid'];?></td>
					<td><?php echo $v['fusername'];?></td>
					<td><?php echo $v['fuid'];?></td>
					<td><?php echo cutstr($v['msg'], 40, '...')?></td>
					<td><?php echo date('Y-m-d H:i:s', $v['time'])?></td>
					<td align="center"><?php if($v['status']) { ?><i class="layui-icon" title="已接收">&#xe616;</i><?php } else { ?><i class="layui-icon" title="未接收" style="color:#CCC">&#xe616;</i><?php } ?></td>
				</tr>
				<?php }?>
			</tbody>
		</table>
		<div class="" id="statspage"></div>
	</div>
	
	<script type="text/javascript">
		layui.use(['form', 'laypage'], function(){
			var form = layui.form(), laypage = layui.laypage;
			laypage({
				cont: 'statspage'
				,pages: <?php echo $pages;?>
				,skip: true
				,curr: <?php echo $page;?>
				,groups: 5
				,jump: function(e, first){
					if(!first){location.href = 'admin.php?m=<?php echo $m;?>&a=<?php echo $a;?>&type=<?php echo $type;?>&exp=<?php echo $exp;?>&receive=<?php echo $receive;?>&page='+e.curr;}
				}
			});
		});
	</script>
	
<?php include $this->gettpl('footer');?>