<?php include $this->gettpl('header');?>
	<div class="layui-body">
		<blockquote class="layui-elem-quote layui-quote-nm">
			当前在线总人数：<?php echo $total;?> 人
			<div class="layui-right">
				<button class="layui-btn layui-btn-mini layui-btn-normal" id="btn_notice">
					<i class="layui-icon">&#xe611;</i> 系统消息
				</button>
			</div>
		</blockquote>
		<table class="layui-table layui-clear">
			<thead>
				<tr>
					<th>来自网站</th>
					<th>用户账户</th>
					<th>用户ID</th>
					<th>用户IP</th>
					<th>登录时间</th>
					<th>连接ID</th>
				</tr>
			</thead>
			<tbody>
				<?php foreach((array)$list as $k => $v) {?>
				<tr>
					<td><a href="//<?php echo $v['from'];?>" target="_blank"><?php echo $v['from'];?></a></td>
					<td><a href="//<?php echo $v['from'];?>/home.php?mod=space&uid=<?php echo $v['id'];?>" target="_blank"><?php echo $v['username'];?></a></td>
					<td><?php echo $v['id'];?></td>
					<td><a href="http://www.ip138.com/ips138.asp?ip=<?php echo $v['ip'];?>" target="_blank"><?php echo $v['ip'];?></a></td>
					<td><?php echo date('Y-m-d H:i:s', $v['time'])?></td>
					<td><?php echo $v['client_id'];?></td>
				</tr>
				<?php }?>
			</tbody>
		</table>
		<div class="" id="statspage"></div>
	</div>
	
	<script type="text/html" id="form_notice">
		<form class="layui-form layui-form-pane">
			<div class="layui-form-item layui-form-text">
				<div class="layui-input-block">
					<textarea name="content" class="layui-textarea"></textarea>
				</div>
			</div>
			<div class="layui-input-block">
				<button class="layui-btn" lay-submit="" lay-filter="notice">确定</button>
			</div>
		</form>
	</script>
	
	<script>
		layui.use(['form', 'layer', 'laypage'], function(){
			var $ = layui.jquery, form = layui.form(), layer = layui.layer, laypage = layui.laypage;
			$('#btn_notice').on('click', function(){
				layer.open({
					type: 1
					,title: '系统消息'
					,area: ['350px', '210px']
					,move: false
					,content: $('#form_notice').html()
					,success: function(layero, index){
						form.render();
						form.on('submit(notice)', function(data){
							if(data.field.content.length < 1){
								layer.msg('请输入消息内容', {icon:5});
								return false;
							}
							$.post('admin.php?m=async&a=sendnotice', data.field, function(res){
								layer.msg(res.msg, {icon: res.code == 1 ? 6 : 5});
								if(res.code == 1){layer.close(index);}
							}, 'json');
							return false;
						});
					}
				});
			});
			
			laypage({
				cont: 'statspage'
				,pages: <?php echo $pages;?>
				,skip: true
				,curr: <?php echo $page;?>
				,groups: 5
				,jump: function(e, first){
					if(!first){location.href = 'admin.php?m=<?php echo $m;?>&a=<?php echo $a;?>&page='+e.curr;}
				}
			});
		});
	</script>
	
<?php include $this->gettpl('footer');?>